<?php
/**
 * Utilisations de pipelines par Redirect Mobile
 *
 * @plugin     Redirect Mobile
 * @copyright  2020
 * @author     tofulm
 * @licence    GNU/GPL
 * @package    SPIP\Redirectmobile\Pipelines
 */

if (!defined('_ECRIRE_INC_VERSION')) {
	return;
}


function redirectmobile_jquery_plugins($scripts) {
	$t = redirectmobile_pages_aut();
	if (count($t) > 0) {
		return $scripts;
	}

	if (lire_config('redirectmobile/connecte') === 'oui') {
		if ( !isset($GLOBALS['visiteur_session']['id_auteur']) or intval($GLOBALS['visiteur_session']['id_auteur']) === 0 ) {
			return $scripts;
		}
	}


	$scripts[] = produire_fond_statique('redirectMobile.js');
	return $scripts;
}

function redirectmobile_styliser($flux){
	$t = redirectmobile_pages_aut();
	if (count($t) === 0) {
		return $flux;
	}

	if (lire_config('redirectmobile/connecte') === 'oui') {
		$id_auteur = $GLOBALS['visiteur_session']['id_auteur'];
		if (intval($id_auteur) === 0) {
			return $flux;
		}
	}

	if (in_array($flux['args']['fond'], $t)) {
	// echo "<pre>";

	// print_r($flux);
	// var_dump($var);


	}
	return $flux;
}

function redirectmobile_pages_aut(){
	$fonds = lire_config('redirectmobile/listepages');
	$fonds = trim($fonds);
	$Tfonds = [];
	if (strlen($fonds)) {
		$Tfonds = explode(',', $fonds);
		$Tfonds = array_map('trim', $Tfonds);
	}

	return $Tfonds;
}
